polybori::COrderingTags< block_dlex_tag > Class Template Reference

`#include <COrderingTags.h>`

Inheritance diagram for polybori::COrderingTags< block_dlex_tag >:

## Additional Inherited Members

Public Types inherited from polybori::COrderingTagsBase< block_dlex_tag, invalid_tag, invalid_tag, valid_tag, valid_tag >
typedef block_dlex_tag | order_tag
typedef invalid_tag | lex_property
typedef invalid_tag | ordered_property
typedef typename invert_tag < valid_tag >::type | symmetry_property
typedef invalid_tag | degorder_property
typedef valid_tag | blockorder_property
typedef invalid_tag | totaldegorder_property
typedef invert_tag< valid_tag > ::type | ascending_property
typedef and_tag< invalid_tag, ascending_property >::type | degrevlexorder_property
typedef valid_tag | descending_property

The documentation for this class was generated from the following file:

- COrderingTags.h